- Qt 5.5
- Qt3D Module
- C++ Classes
- MouseController
- Qt 5.5.1 Reference Documentation

# MouseController Class

(Qt3D::Input::MouseController)

Inherits: |

- List of all members, including inherited members

## Public Functions

| MouseController()
| ~MouseController()
void | addMouseInput(const QNodeId & input)
QVector<QNodeId> | mouseInputs() const
void | removeMouseInput(const QNodeId & input)
void | setInputHandler(InputHandler * handler)
void | updateFromPeer(QNode * peer)

## Protected Functions

void | sceneChangeEvent(const QSceneChangePtr & e)

## Member Function Documentation

### MouseController::MouseController()

### MouseController::~MouseController()

### void MouseController::addMouseInput(const QNodeId & input)

### QVector<QNodeId> MouseController::mouseInputs() const

### void MouseController::removeMouseInput(const QNodeId & input)

### `[protected]` void MouseController::sceneChangeEvent(const QSceneChangePtr & e)

### void MouseController::setInputHandler(InputHandler * handler)

### void MouseController::updateFromPeer(QNode * peer)